// File 00bp.mod

[ModelDescription]
"Example of a model specification file for binary probit"


[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $BP (Binary probit), $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$BP

[Exclude]
Choice > 2

[LaTeX]
ASC1  "First contant"
ASC2  "Second constant"
BETA1 "$\beta_1$"
BETA2 "$\beta_2$"