// 09mnl-nonlinear-deriv.mod

[ModelDescription]
"Same as 09mnl-nonlinear."
"The derivatives of the utility functions are explicitly coded"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
ASC3	    0         -10000         10000       0
ASC4	    0         -10000         10000       0
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
LAMBDA11    1         0.0001         5           0
LAMBDA12    1         0.0001         5           0

[LaTeX]
ASC1  "Constant for alt. 1"
ASC2  "Constant for alt. 2"
ASC3  "Constant for alt. 3"
ASC4  "Constant for alt. 4"
ASC5  "Constant for alt. 5"
ASC6  "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"
LAMBDA11 "$\lambda_{11}$"
LAMBDA12 "$\lambda_{12}$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one 
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA1 * x31 + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA1 * x41 + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA1 * x51 + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA1 * x61 + BETA2 * x62

[GeneralizedUtilities]
1  BETA1 * ((x11 + 10 ) ^ LAMBDA11 - 1)/ LAMBDA11 + BETA2 * ((x12 + 10 ) ^ LAMBDA12 - 1) / LAMBDA12

[Derivatives]
1 BETA1 ((x11 + 10 ) ^ LAMBDA11 - 1) / LAMBDA11
1 BETA2 ((x12 + 10 ) ^ LAMBDA12 - 1) / LAMBDA12
1 LAMBDA11 
      BETA1 * ((x11 + 10) ^ LAMBDA11 * LN(x11 + 10) * LAMBDA11 
             - (x11 + 10) ^ LAMBDA11 + 1) / (LAMBDA11 * LAMBDA11 )
1 LAMBDA12 
      BETA2 * ((x12 + 10) ^ LAMBDA12 * LN(x12 + 10) * LAMBDA12 
             - (x12 + 10) ^ LAMBDA12 + 1) / (LAMBDA12 * LAMBDA12 )


[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL
