// File 12cnl.mod

[ModelDescription]
"Example of a cross-nested logit model with estimated alpha's"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	0.0   -10000         10000       1
ASC2	0.0   -10000         10000       0
ASC3	0.0   -10000         10000       0
ASC4	0.0   -10000         10000       0
ASC5	0.0   -10000         10000       0
ASC6	0.0   -10000         10000       0
BETA1   0.0   -10000         10000       0
BETA2   0.0   -10000         10000       0

[LaTeX]
ASC1  "Constant for alt. 1"
ASC2  "Constant for alt. 2"
ASC3  "Constant for alt. 3"
ASC4  "Constant for alt. 4"
ASC5  "Constant for alt. 5"
ASC6  "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"


[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA1 * x31 + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA1 * x41 + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA1 * x51 + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA1 * x61 + BETA2 * x62

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$CNL

[CNLNests]
// Name Paramvalue     lb  ub   status
NESTA   1.0             1   4     0   
NESTB   1.0             1   4     0   

[CNLAlpha]
Alt1 NESTA   0.5   0.0001  1.0   0
Alt2 NESTA   0.5   0.0001  1.0   0
Alt3 NESTA   0.5   0.0001  1.0   0
Alt4 NESTA   0.5   0.0001  1.0   0
Alt5 NESTA   0.5   0.0001  1.0   0
Alt6 NESTA   0.5   0.0001  1.0   0
Alt1 NESTB   0.5   0.0001  1.0   0
Alt2 NESTB   0.5   0.0001  1.0   0
Alt3 NESTB   0.5   0.0001  1.0   0
Alt4 NESTB   0.5   0.0001  1.0   0
Alt5 NESTB   0.5   0.0001  1.0   0
Alt6 NESTB   0.5   0.0001  1.0   0

[LinearConstraints]
NESTA_Alt1 + NESTB_Alt1 = 1.0
NESTA_Alt2 + NESTB_Alt2 = 1.0
NESTA_Alt3 + NESTB_Alt3 = 1.0
NESTA_Alt4 + NESTB_Alt4 = 1.0
NESTA_Alt5 + NESTB_Alt5 = 1.0
NESTA_Alt6 + NESTB_Alt6 = 1.0
