// File 15ngev.mod

[ModelDescription]
"Same model as 11cnl.mod, with the Network GEV syntax"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
ASC3	    0         -10000         10000       0
ASC4	    0         -10000         10000       0
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0

[LaTeX]
ASC1  "Constant for alt. 1"
ASC2  "Constant for alt. 2"
ASC3  "Constant for alt. 3"
ASC4  "Constant for alt. 4"
ASC5  "Constant for alt. 5"
ASC6  "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA1 * x31 + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA1 * x41 + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA1 * x51 + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA1 * x61 + BETA2 * x62

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$NGEV


[NetworkGEVNodes] 
// All nodes of the Network GEV model, except the root and the alternatives
// must be listed here, with their associated parameter.
// Name  mu_param_value	LowerBound	UpperBound	status
NESTA      1.0          1   4     0   
NESTB      1.0          1   4     1   

[NetworkGEVLinks]
// There is a line for each link of the network. 
// The root node is denoted by __ROOT
// All other nodes must be either an alternative or a node listed in
// the section [NetworkGEVNodes]
// Note that an alternative cannot be the a-node of any link,
// and the root node cannot be the b-node of any link.
// a-node  b-node alpha_param_value LowerBound UpperBound  status
__ROOT  NESTA  1.0  1    1   1
__ROOT  NESTB  1.0  1    1   1
NESTA Alt1    0.5   0.0001  1.0   1
NESTA Alt2    0.5   0.0001  1.0   1
NESTA Alt3    0.5   0.0001  1.0   1
NESTA Alt4    0.5   0.0001  1.0   1
NESTA Alt5    0.5   0.0001  1.0   1
NESTA Alt6    0.5   0.0001  1.0   1
NESTB Alt1    0.5   0.0001  1.0   1
NESTB Alt2    0.5   0.0001  1.0   1
NESTB Alt3    0.5   0.0001  1.0   1
NESTB Alt4    0.5   0.0001  1.0   1
NESTB Alt5    0.5   0.0001  1.0   1
NESTB Alt6    0.5   0.0001  1.0   1


