// File 16panelRpSp.mod

[ModelDescription]
"Same as 16panel.mod, for RP/SP data"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
ASC3	    0         -10000         10000       0
ASC4	    0         -10000         10000       0
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
ZERO        0         -10000         10000       1
SIGMA       0         -10000         10000       0
THETA       1         0.0001         10000       0

[LaTeX]
ASC1  "Constant for alt. 1"
ASC2  "Constant for alt. 2"
ASC3  "Constant for alt. 3"
ASC4  "Constant for alt. 4"
ASC5  "Constant for alt. 5"
ASC6  "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"
SIGMA  "$\sigma$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   $NONE
  2   Alt2   av2   $NONE
  3   Alt3   av3   $NONE
  4   Alt4   av4   $NONE
  5   Alt5   av5   $NONE
  6   Alt6   av6   $NONE



[GeneralizedUtilities]
  1      RP * (ASC1 * one + BETA1 * x11 + BETA2 * x12 ) + SP * THETA * (ASC1 * one + BETA1 * x11 + BETA2 * x12 )
  2      RP * (ASC2 * one + BETA1 * x21 + BETA2 * x22 + ZERO [ SIGMA ] * one ) + SP * THETA * (ASC2 * one + BETA1 * x21 + BETA2 * x22 + ZERO [ SIGMA ] * one )
  3      RP * (ASC3 * one + BETA1 * x31 + BETA2 * x32 + ZERO [ SIGMA ] * one ) + SP * THETA * (ASC3 * one + BETA1 * x31 + BETA2 * x32 + ZERO [ SIGMA ] * one )
  4      RP * (ASC4 * one + BETA1 * x41 + BETA2 * x42 + ZERO [ SIGMA ] * one ) + SP * THETA * (ASC4 * one + BETA1 * x41 + BETA2 * x42 + ZERO [ SIGMA ] * one )
  5      RP * (ASC5 * one + BETA1 * x51 + BETA2 * x52 + ZERO [ SIGMA ] * one ) + SP * THETA * (ASC5 * one + BETA1 * x51 + BETA2 * x52 + ZERO [ SIGMA ] * one )
  6      RP * (ASC6 * one + BETA1 * x61 + BETA2 * x62 + ZERO [ SIGMA ] * one ) + SP * THETA * (ASC6 * one + BETA1 * x61 + BETA2 * x62 + ZERO [ SIGMA ] * one )


[Draws]
5

[PanelData]
Id
ZERO_SIGMA

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1
SP = 1 - RP

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL

