// File 17expressions.mod

[ModelDescription]
"Illustration of the syntax for expressions"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
ASC3	    0         -10000         10000       0
ASC4	    0         -10000         10000       0
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
GAMMA1      0         -10000         10000       0
GAMMA2      0         -10000         10000       0

[LaTeX]
ASC1    "Constant for alt. 1"
ASC2    "Constant for alt. 2"
ASC3    "Constant for alt. 3"
ASC4    "Constant for alt. 4"
ASC5    "Constant for alt. 5"
ASC6    "Constant for alt. 6"
BETA1   "$\beta_1$"
BETA2   "$\beta_2$"
GAMMA1  "$\gamma_1$"
GAMMA2  "$\gamma_2$"


[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12  + GAMMA1 * x11sq	+ GAMMA2 * dum12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22  + GAMMA1 * x21sq	+ GAMMA2 * dum12
  3   Alt3   av3   ASC3 * one + BETA1 * x31 + BETA2 * x32  + GAMMA1 * x31sq
  4   Alt4   av4   ASC4 * one + BETA1 * x41 + BETA2 * x42  + GAMMA1 * x41sq
  5   Alt5   av5   ASC5 * one + BETA1 * x51 + BETA2 * x52  + GAMMA1 * x51sq
  6   Alt6   av6   ASC6 * one + BETA1 * x61 + BETA2 * x62  + GAMMA1 * x61sq

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

// Loop over alternatives 1 to 6 to create the square of xi1
$LOOP{zzz 1 6 1}  xzzz1sq = xzzz1 ^ 2
// Note that the string 'zzz' is purely arbitrary
// This is equivalent to define the following expressions 
//     x11sq  =  x11   ^  2 
//     x21sq  =  x21   ^  2 
//     x31sq  =  x31   ^  2 
//     x41sq  =  x41   ^  2 
//     x51sq  =  x51   ^  2 
//     x61sq  =  x61   ^  2 


// Create dum12 = 1 if x11 >= 1 or x21 >= 1, 0 otherwise.
dum12 = ( x11 >= 1 ) || ( x21 >= 1 )


[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL
