// File 18selectionBias.mod

[ModelDescription]
"Example of a nested logit model where selection bias is corrected"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       0
ASC3	    0         -10000         10000       0
ASC4	    0         -10000         10000       0
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
SB_ASC1	    0         -10000         10000       1
SB_ASC2	    0         -10000         10000       0
SB_ASC3	    0         -10000         10000       0
SB_ASC4	    0         -10000         10000       0
SB_ASC5	    0         -10000         10000       0
SB_ASC6	    0         -10000         10000       0


[LaTeX]
ASC1    "Constant for alt. 1"
ASC2    "Constant for alt. 2"
ASC3    "Constant for alt. 3"
ASC4    "Constant for alt. 4"
ASC5    "Constant for alt. 5"
ASC6    "Constant for alt. 6"
BETA1   "$\beta_1$"
BETA2   "$\beta_2$"
SB_ASC1 "$\omega_1$"
SB_ASC2 "$\omega_2$"
SB_ASC3 "$\omega_3$"
SB_ASC4 "$\omega_4$"
SB_ASC5 "$\omega_5$"
SB_ASC6 "$\omega_6$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA1 * x31 + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA1 * x41 + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA1 * x51 + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA1 * x61 + BETA2 * x62

[SelectionBias]
1 SB_ASC1
2 SB_ASC2
3 SB_ASC3
4 SB_ASC4
5 SB_ASC5
6 SB_ASC6

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$NL

[Mu]
// In general, the value of mu must be fixed to 1. For testing purposes, you
// may change its value or let it be estimated.
// Value LowerBound UpperBound Status
+1.0000000e+00	+0.0000000e+00	+1.0000000e+00	1


[NLNests]
// Name Paramvalue  lb  ub   status   list_of_alt
NESTA      1.0      1   10     0         1  2  3
NESTB      1.0      1   10     0         4  5  6
