// File 20legendre.mod

[ModelDescription]
"Same as 07mixed-mnl.mod, with a seminonparamtric"
"transformation of BETA1[SIGMA1] with legendre polynomials"
"The number of draws is low for testing purposes."


[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    1         -10000         10000       1
ASC2	    1         -10000         10000       0
ASC3	    1         -10000         10000       0
ASC4	    1         -10000         10000       0
ASC5	    1         -10000         10000       0
ASC6	    1         -10000         10000       0
BETA1       1         -10000         10000       0
SIGMA1      1         -10000         10000       0
BETA2       1         -10000         10000       0
SIGMA2      1         -10000         10000       0
SMP1        1         -10000         10000       0
SMP3        1         -10000         10000       0
SMP4        1         -10000         10000       0

[LaTeX]
ASC1   "Constant for alt. 1"
ASC2   "Constant for alt. 2"
ASC3   "Constant for alt. 3"
ASC4   "Constant for alt. 4"
ASC5   "Constant for alt. 5"
ASC6   "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"
SIGMA1 "$\sigma_1$"
SIGMA2 "$\sigma_2$"
SMP1   "$\delta_1$" 
SMP3   "$\delta_3$" 
SMP4   "$\delta_4$" 

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 [ SIGMA1 ] * x11 + BETA2 [ SIGMA2 ] * x12
  2   Alt2   av2   ASC2 * one + BETA1 [ SIGMA1 ] * x21 + BETA2 [ SIGMA2 ] * x22
  3   Alt3   av3   ASC3 * one + BETA1 [ SIGMA1 ] * x31 + BETA2 [ SIGMA2 ] * x32
  4   Alt4   av4   ASC4 * one + BETA1 [ SIGMA1 ] * x41 + BETA2 [ SIGMA2 ] * x42
  5   Alt5   av5   ASC5 * one + BETA1 [ SIGMA1 ] * x51 + BETA2 [ SIGMA2 ] * x52
  6   Alt6   av6   ASC6 * one + BETA1 [ SIGMA1 ] * x61 + BETA2 [ SIGMA2 ] * x62


[PanelData]
Id
BETA1_SIGMA1

[SNP]
// Define the coefficients of the series generated by the Legendre polynomials
BETA1_SIGMA1
1 SMP1
3 SMP3
4 SMP4

[Draws]
5

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL
