// File 21mixed-lognormal-deriv.mod

[ModelDescription]
"Same as 05mnl-beta, with a random coefficient"
"(lognormal distribution)"
"The number of draws is low for testing purposes."
"The derivatives are coded explicitly"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       1
ASC3	    0         -10000         10000       1
ASC4	    0         -10000         10000       1
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
SIGMA1      0         -10000         10000       0
BETA2       0         -10000         10000       0


[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA2 * x62

[GeneralizedUtilities]
1 exp( BETA1 [ SIGMA1 ] ) * x11
2 exp( BETA1 [ SIGMA1 ] ) * x21
3 exp( BETA1 [ SIGMA1 ] ) * x31
4 exp( BETA1 [ SIGMA1 ] ) * x41
5 exp( BETA1 [ SIGMA1 ] ) * x51
6 exp( BETA1 [ SIGMA1 ] ) * x61

[Derivatives]

// This section is not mandatory. If you don't provide the
// derivatives, Biogeme will compute them automatically.
// Things to consider:
// 1) If you provide the derivatives, estimation time will be much
// faster (about twice faster)
// 2) Biogeme won't check your formulas automatically, and will
// consider that they are correct. There are two ways to check that the
// derivatives are indeed correct:
//   a) Set gevCheckDerivatives = 1 is default.par. Biogeme will compare
//      analytical derivatives with finite difference approximation.
//   b) Estimate the model with few observations and few draws, once
//      with and once without this section. The results should be exactly the
//      same.

// Note that $DERIV( BETA1 [ SIGMA1 ] , BETA1 )  = 1
1 BETA1    exp( BETA1 [ SIGMA1 ] ) * x11
1 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x11 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )
2 BETA1    exp( BETA1 [ SIGMA1 ] ) * x21
2 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x21 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )
3 BETA1    exp( BETA1 [ SIGMA1 ] ) * x31
3 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x31 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )
4 BETA1    exp( BETA1 [ SIGMA1 ] ) * x41
4 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x41 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )
5 BETA1    exp( BETA1 [ SIGMA1 ] ) * x51
5 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x51 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )
6 BETA1    exp( BETA1 [ SIGMA1 ] ) * x61
6 SIGMA1   exp( BETA1 [ SIGMA1 ] ) * x61 * $DERIV( BETA1 [ SIGMA1 ] , SIGMA1 )

[Draws]
5

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL
