// File 21mixed-lognormal.mod

[ModelDescription]
"Same as 05mnl-beta, with a random coefficient"
"(lognormal distribution)"
"The number of draws is low for testing purposes."


[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       1
ASC3	    0         -10000         10000       1
ASC4	    0         -10000         10000       1
ASC5	    0         -10000         10000       0
ASC6	    0         -10000         10000       0
BETA1       0         -10000         10000       0
SIGMA1      0         -10000         10000       0
BETA2       0         -10000         10000       0


[LaTeX]
ASC1  "Constant for alt. 1"
ASC2  "Constant for alt. 2"
ASC3  "Constant for alt. 3"
ASC4  "Constant for alt. 4"
ASC5  "Constant for alt. 5"
ASC6  "Constant for alt. 6"
BETA1  "$\beta_1$"
BETA2  "$\beta_2$"
SIGMA1  "$\sigma_1$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA2 * x22
  3   Alt3   av3   ASC3 * one + BETA2 * x32
  4   Alt4   av4   ASC4 * one + BETA2 * x42
  5   Alt5   av5   ASC5 * one + BETA2 * x52
  6   Alt6   av6   ASC6 * one + BETA2 * x62

[GeneralizedUtilities]
1 exp( BETA1 [ SIGMA1 ] ) * x11
2 exp( BETA1 [ SIGMA1 ] ) * x21
3 exp( BETA1 [ SIGMA1 ] ) * x31
4 exp( BETA1 [ SIGMA1 ] ) * x41
5 exp( BETA1 [ SIGMA1 ] ) * x51
6 exp( BETA1 [ SIGMA1 ] ) * x61

[Draws]
5

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$MNL
