// File 22ordinalLogit.mod

[ModelDescription]
"Example of a model specification file for an ordinal logit model"
"Ordinal version of the binary logit 00bl.mod"
"Compare the signs of the coefficients"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       1
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
ZERO        0         -10000         10000       0

[LaTeX]
ASC1   "Constant for alt. 1"
ASC2   "Constant for alt. 2"
BETA1   "$\beta_1$"
BETA2   "$\beta_2$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Alt1   av1   ASC1 * one + BETA1 * x11 + BETA2 * x12
  2   Alt2   av2   ASC2 * one + BETA1 * x21 + BETA2 * x22

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $BP (Binary probit), $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$OL

[OrdinalLogit]
// Response  value LowerBound UpperBound  status (0=variable, 1=fixed)
1  $NONE 
2  ZERO

[Exclude]
Choice > 2
