// File 23ordinalLogit.mod

[ModelDescription]
"Example of a model specification file for an ordinal logit model"
"4 categories are considered"

[Choice]
Choice

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC1	    0         -10000         10000       1
ASC2	    0         -10000         10000       1
BETA1       0         -10000         10000       0
BETA2       0         -10000         10000       0
tau1      0.3         -10000         0           0
tau2      0.4         -10000         10000       0 
tau3      0.5         0              10000       0 

[LaTeX]
ASC1   "Constant for alt. 1"
ASC2   "Constant for alt. 2"
BETA1   "$\beta_1$"
BETA2   "$\beta_2$"
tau1    "$\tau_1$"
tau2    "$\tau_2$"
tau3    "$\tau_3$"

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  23   Alt2   one   ASC2 * one + BETA1 * x21 + BETA2 * x22
  24   Alt1   one   ASC1 * one + BETA1 * x11 + BETA2 * x12

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1

[Model]
// Currently, only $BP (Binary probit), $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
//
$OL

[OrdinalLogit]
1 $NONE    //  Category 1 spans -infty --> tau1 
2 tau1     //           2 spans tau1   --> tau2
3 tau2     //           3 spans tau2   --> tau3
4 tau3     //           4 spans tau3   --> +infty

[LinearConstraints]
tau1 - tau2 <= 0
tau2 - tau3 <= 0

[Exclude]
Choice > 4
